#
# spec file for package perl-DBI (Version 1.19)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-Curses
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Curses ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-DBI
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Obsoletes:    perl_dbi
Provides:     perl_dbi DBI
Autoreqprov:  on
Summary:      Perl Database Interface
Version:      1.19
Release:      31
Source:	      DBI-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
The Perl Database Interface by Tim Bunce

Authors:
--------
    dbi-users@isc.org

SuSE series: perl

%prep
%setup -n DBI-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-DBI
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/DBI
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%doc Changes README ToDo MANIFEST
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*
/usr/bin/*
%{perl_sitearch}/Bundle/DBI.pm
%{perl_sitearch}/DBD
%{perl_sitearch}/DBI
%{perl_sitearch}/DBI.pm
%{perl_sitearch}/Win32/DBIODBC.pm
%{perl_sitearch}/auto/DBI
/var/adm/perl-modules/perl-DBI

%changelog -n perl-DBI
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 1.19
- spec file cleanup
* Tue Feb 13 2001 - cihlar@suse.cz
- bzipped sources
- use %%{version}
- update to version 1.14
- added %%clean
- fixed file list
- added make test
* Tue Nov 07 2000 - grimmer@suse.de
- removed BuildRoot path via sed calls in spec file
* Tue Oct 31 2000 - grimmer@suse.de
- renamed from perl_dbi to perl-DBI
- added BuildRoot
* Wed Jul 05 2000 - grimmer@suse.de
- marked man pages as documentation
- added missing man pages from section 1
- added Group tag
- added "Provides: DBI"
* Wed May 24 2000 - ug@suse.de
- added to distribution
